Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class EclipseWtpPlugin

    java.lang.Object
      org.gradle.plugins.ide.internal.IdePlugin
          org.gradle.plugins.ide.eclipse.EclipseWtpPlugin

    class EclipseWtpPlugin
    extends IdePlugin

Property Summary
`static String` | `ECLIPSE_WTP_COMPONENT_TASK_NAME`
`static String` | `ECLIPSE_WTP_FACET_TASK_NAME`
`static String` | `WEB_LIBS_CONTAINER`
`EclipseWtp` | `eclipseWtpModel`

Constructor Summary
`EclipseWtpPlugin(Instantiator instantiator)`

Method Summary
`protected String` | `getLifecycleTaskName()`
`protected void` | `onApply(Project project)`

Property Detail

### ECLIPSE_WTP_COMPONENT_TASK_NAME

    static final String ECLIPSE_WTP_COMPONENT_TASK_NAME

### ECLIPSE_WTP_FACET_TASK_NAME

    static final String ECLIPSE_WTP_FACET_TASK_NAME

### WEB_LIBS_CONTAINER

    static final String WEB_LIBS_CONTAINER

### eclipseWtpModel

    EclipseWtp eclipseWtpModel

Constructor Detail

### EclipseWtpPlugin

    @Inject
    EclipseWtpPlugin(Instantiator instantiator)

Method Detail

### getLifecycleTaskName

    @Override
    protected String getLifecycleTaskName()

### onApply

    @Override
    protected void onApply(Project project)

Gradle API 1.10